package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.ToSysRole;

import java.util.List;

/**
 * 角色 业务
 * @author weiximei
 */
public interface IToSysRoleService {
    /**
     * 根据用户ID查询所有角色
     * @param userId
     * @return
     */
    List<ToSysRole> selectRoleByUserId(Integer userId);

    /**
     * 获取所有的角色
     *
     * @param parameter
     * @return
     */
    ResponseBean getAll(String parameter);

    /**
     * 添加角色
     * @param parameter
     * @param userElement 用户登录信息体
     * @return
     */
    ResponseBean addRole(String parameter, UserElement userElement);

    /**
     * 根据角色Id查询数据
     * @param id
     * @return
     */
    ResponseBean getInfo(Integer id);

    /**
     * 修改角色
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean updateRole(String parameter, UserElement userElement);

    /**
     * 删除角色
     * @param ids
     * @param userElement
     * @return
     */
    ResponseBean deleteRole(List<Integer> ids, UserElement userElement);
}
